*****************************************************************************
* (C) Copyright 2012 Texas Instruments Incorporated. All rights reserved. 
*****************************************************************************
** This model is designed as an aid for customers of Texas Instruments. 
** TI and its licensors and suppliers make no warranties, either expressed 
** or implied, with respect to this model, including the warranties of 
** merchantability or fitness for a particular purpose. The model is 
** provided solely on an "as is" basis. The entire risk as to its quality 
** and performance is with the customer 
*****************************************************************************
*
* Released by: WEBENCH Design Center, Texas Instruments Inc.
* Part: TPS22981
* Date: 04-December-2012
* Model Type: Transient 
* Simulator: HSPICE 
* Simulator Version: ....
* EVM Order Number: TPS22981EVM
* EVM Users Guide: SLVU817 also on the web at http://www.ti.com/tool/tps22981evm
* Datasheet: SLVSBM6
* Model Version: Final 1.00
*
*Notes: This model is used for transient simulations.
*The Thermal Shutdown is not modeled. 
*Some of the functions and parameters captured in the model are as the following:
*Adjustable current limits for Iset_S0, Iset_S3 and Iset_V3p3
*Under voltage Lockout detection
*Reverse current protection
*All functionalities based on datasheet tables 1, 2, and 3 and Fig.9 are implemented.
************************************************************
*****************************************
* Netlist TPS22981
.PARAM rl=1e3

.PROBE TRAN

+    V(out)

.TRAN 1e-9 400e-3 START=0.0

.OP

.TEMP 25
.OPTION
+ CONVERGE=1
+ ACCT  
+ OPTS
+ POST 
+ SCALE=1e-6
+ METHOD=GEAR

.hdl "Bauer2_TIVA.va"

.PROT freelib
5a2Z[7-u#/js;B-i:'%ep$v,C'/25B]+):fJ5H#uC(1y)e-u>9%J;X5i#'%s$B-,(2/e5BvwC'f:9H]uC:xJ5ejH>(%J)[
8
<5e8Z[,$;99Yw\9<5<qID3m<)=*I;x5KVO*Igd9*#%*b''%7q
y
a923405'yO281K)n9=3G9hs[54(:B8
<59>(3,# 'o2.$4/20c-0
Nf#Y!*c281k)N90AD0k$ W>0
Z9$f%472H6svq\X7.4\W6M4'$4/vRxX!8Y8
yA\x7.4\w!c.mj7d/-/z
>779VrXx!8y#/%\02</9w39Z
-t#dk:wd'W69q
5AX(8Y#vT90MXSc5%08'$Y<[!=8'HM\xy
6
9[$,cf;56#$#[99pX;:1Z*q-=MT8-Q
5AXAT,%W+5m(i7HYqWDlH\c2y
a92<4<m:==ot:#k%F2oG%C/Y
e0mxsW2:F-gh6%#Uw72h%tyQR8o$9jw!B2'.9;w!B2'.9jwz=p0
>x# 9x Y$#<23[XzT%J4P9gzV7\90bo23_3Wi)/:L
)CP)9[(jJUw</xu6\/#+\xPd4Q3huxP3mQ+:\7>:0z*-[by07STfFAHt3]w ];LY=<6#6
e77x# 9xut$#<23/XzT%J3e90I>6ZM!x>>$+s*-I1:T3;W;M[*70.3:Y.\ _3+92X'V0%$8)12J8cK9) (=E#2T5ily=<6#98zH%9$F)10
'4-3:b1280sp(9[(JxV+:b$O.9X# K;2<%H(P/1(=j#50=ahT3;W;M_\y=J))97 T,[:-/X':4Z)-[25;7s['ri*70.,:W[7J+[=-/Z
397Ck9Xdup72 O9/:te8
5p9[(jX;L:w0(j6z3:[10
:I##<*7G/j#d+%XSP0]Q
;:XzT%JI(98UT%/K(9 :L
8jw+*7H(7\) sxHtJ8
539[(j>#D+%xHtJ8
5C98'W+/=!oxZt%jH(9 0
Tx# 9x h$O\;:\>p/7\) SXzT%3+:[1:T$8
yW9[(jX;u:N[ $yG(3sz
P97\) /v+$#<23/x [_jq
6/XzT%3j:n[ $Yg(c6
-A/7\) /uj$#<232X [_JQ
6f-G34kW+*7:9x#d+%X [_JQ
T/XzT%J3c98'w+/=!OXA[SZW6K02)X<3:oAHl
!< OBx><6CsfwM7j[
,<:*[ $M:W<03AH8g!!xX Tdc !x8d8!8
q
5AXlH-'$;<Xzg\<]:56;///f'0235[
,<:K2l37\$u*q2D+/fFM>].\T;y
a92<4<m:==ot:#k%F2oG%C/Y
e0mxsW2:F-gx,t/.cMDv7z+:\;P$/9s9=x7/0Ss<ux7/0Ss</xPWRSwA\7D3+/;9R=#$o\;:*[X$/9sr\ID.N8
o!'f280S+p/xP.4G!;9[(jJ3wz=p2h6SVQ\z
FhBUw!y2\$9jw!B2'.9;w!B2'.9jwz=p2d+/#QR8oh%8
D9ux!8y# 9X1s(79/%BxPd+#D+%xHt35wU) 0
'4;I:=ej$#4p:W[p.Y<='<XpD4q3HUXp3Mq+:\7>:0Z*-[BY07stFfah(0.3:x$>3_3j9!u2J8qp9!F2Jdqp9!F0
'4;+:=eh$/9S9=XU6\/#+\XpD4q3HUXp3Mq+:\7>:0Z*-[BY07stFfahT3]W ];ly=<6#6
e7s=# 9x1S77\) 'J2/.kS!=-2</c(mEu2<,T((9-'D8<Ka) -9<#22r;*70.,:x$>3_3)*(Z
Fh>vwA\7D3+/;9R=#$#<23(x(8N#k2odD:B#yAwA)zJ#yfmA:$+S*;*0>Y=+Hp97i3/QP9!f2j.h=-[25;[
4#c/XzT%Jp(/XzT%JI39;p.0\W<]mGg#DU:\;7yj+3:\idyx#Y f6(//qpH2V2J.%*-[25;7starahT3]W YahT3]W jahT3]Q
7W%h$/9SR\id.n# 9x%Y$#<2c2XU6\/$+%%2</c(mEu2<,T((9-'D8<Ka) -9<#22r;*70.,:x$>3_3)*(X':_3)*(X' _3)*(Z
Fh>5w+*7H;7\oC9[F77zTUc=ZvB#yAwA)zJ#yfmA:$+S*;*0>Y=+Hp97i3/QP9!f2j.h=-[25;7S5-[25;7S[-[25;[
4#c2XzT%Jp(/XzT%;p:\.MJ7ZtuC04H%g*:\7>y<J+9!u2:M\(3/1(=$#50j_*7x<h:xP(31P(3*\E$%'#<*ahT3]W j=l3_3)*(X784sY'ra:L
)CP>9[(jXr3:=2'p<]w+*7J97zTUcMm3%#\-[z
Fh=;w+*7:(H#yA\xZt%j4#9[(jXr3:B$o.st92c2Z$%d(C*\e$%S(3*\e$m:[<*7HYX#VtJ0(jBQ+:FOuYX8
5#9[(jX5u:=2'p<jw3/1(=$8
53/x!8y# 9X1s(73))6
P:$#<2(:*280s+)2X HMDQ
9/XzT%Jh)9gzV79/6bX7:0:W+*7:(x#49UZ
(57\) /jJ$o\;:\>P/7\) //T$o\;:[z
()7\) /*:$o\;:\>P/79s!k43$o\;:[z
Pp7\) /ve$o\;:%>*S!;q
6fDM<,TW+*7:(h#d+%X [_VQ
H*[ /7HYq-id[G/90%Z
[n7< O9.\$9$F%w6a\4SwO*_784S#0=b0
L
F,wfw33G8pw+5M(I7[5'B;gx1$);'z
[n7G)fRxZG\<]:R-gh6%#Uw70
Nf#Y!*c281k)N90AD0k$ W>0
Z9$f%4723+/#qr8OH%## M-G34kWZ=P2H9<2q\uIs[
k+:=/28<# m9gzV7\90bo23_3Wi)/:L
8Yw+'x7/0Ss6u$)$=jq
;(X7/0sS6U$)$O\;::1(;[
'j:W7d<6%#u9gzV73Q
;/XzP7\p:[2)L
83w+[x!8y#P9uz
(p7\4:N[ $+Gy<9[H$#-w3* Jl
+-w+uxZ57d/-/z
P07\yO%x!8y#;%)U-9[
9+:=12a#DWoKajL
+Gk:=- v7\i:%>*p[
:+:=- V7c20\DlH\#/%K02<SZW>/2)$\QPY
e2Zv9#=6c8g34K# 6
9[$0\;:M_2/r0/!Y>MH%#;9j8zH%cv+EZ
0
Nf#=!-6;:2# 'O2.$1'$<fD/gr<5c6
9[$S<=F9[;>06WF\D/3Mg\qO. L
F,w6w24$#[99Pxu[/<9'X8al
!z![k,'$,9s[R.aM6KVO9GZv79VrXx7/0Ss6u$)$+;TM9IP.R9=06
e75E#Ym]u2<6c/RY6(8%# 9x/j$O\;:WD'w69Q
7W%h$M9);Ci7>4sWR=P(:6%#uW72/.kS!=-2</c(mEu2<,T((9-'D8<Ka) -9<#22r;*70.,:x$>3_3)*(X':_3)*(X' _3)*(Z
Fh=Uw+*7+)7\) iv23+/!6R.2/.KsU0I'$gQPY
38H97\) 2*2<J*3:=2'0<# 9Xvs$9*9Qk.o66< :Xp*50.,:X7*70.,:m_\/0SP-/xD Dz) 'A:$/pk-/z
FhB;w6c83tD#yQw>m:8<  9[(j<3wr=p(:6%#Uw72/.Ks%mMi.0\w %AJt3]w XAHt3]w0J_ut%3((9.\ 9<2C)12d2z((6
e7s=#YqW6( 72 o98UT%/Ym]u23+/#qr8OH%8
5(9[(j$-wz=p2SX8
5W98ut%/yM]U2A#dw>/1(S[
9=q0-lw7\) 2*2a#DWoKahZ>8
y3sxZt%rP:N[ $yG(MeU0
<=5W+*7+072 o9PAyj+3y
38H$m9);cI7>4Sw+*7s57\) 2%2/.Ks<D8'[/#y FA+pX<6M96D8_3+(*\y$8t[t) :t$#2O*I;E_3)*(x':4z)-[25;7S['RI*70.,:w[7j+[=-/z
Fh=]wr=p(:6%#Uw72<m$2:=2')B#k2odu,4S/A9-'d_r+(*\)$8t -[1:t35w;m_\Y=j))97 t,[:-[25;7S5!B2*70.,:X_;3,QP9!f2h#C265I*p[
+)+%023+/fFM>].\T;y
a92t#dw0Jxu\-G#;k47j7d)tw[7j4t h6
Z
[n7%#[y=3E7\$U*Q2G8[kAc3;\0'uY
a92[0%=:==ot:#20]d/GR<5Y
a92<4<m:==ot:#k%F2oG%C/Y
e0mxsW2:X.i.-[!9yx(879VrXx!8y##<*7g/X#*6c2Z$+;TM9-><7:$rR7X$+;TMm4'$9jw!B2'.9;w!B2'.+;TM92Zd+$q
7W Y07\) / vP7HYq0-lw7< a\42T##K2ODzg#D3:\;7yj+3:\idyx#Y f6(//qpH2V2J.%*-[1(=E#22fi*7x<6#973y=<6#97\y=<6#6
e75E# 9x1Y;7\) /*h$#<23U 2P7cS MDpL
\jwt54LjN# 9X1H9H#+:/xZ>mz::RAH$uQi(/z
Fh=3P:=2'7X;w6u$).R9=0cK2t## 9Xh)$/9s9=xu6\/$+%/2</C(MeU2<,t((9-'d8<kA) -9<#22R;*7X<6#97id,QP(*\e$%'(3*\e$%:(3*\el
)CPp:xZt%jJM9;P.R9=092Z$/9s9=xPS.;sr\ID.N#k2od;8yvw6F8*S!;w6R.*p792Ay2ud_3X)ix'6,h(3/25;7STARAHp0.,:X6*70.,:X_*70.,Y
38H9X#29o$g[,tk9cIP$4')6:1oG7< :F-g\+%VQ_x><6< :B$o.1\;>9->h_;XM9-LW_jw6X;3t9h(3ej+$%*=A) :t3]w ];LY=j)*(x':_3)*(x' _3)*(z
Fh=U4:=2'pBju:\UiS6$yfmx(87hyQ0-LW7< A\42/.Ks'=ps$+h#-ub)$+%V-/xPj/')<FAHz$rw ]I>Y=j)*(x'6/%(3/25;7S5-[25;7S[-[25;[
4#e(XUP79*69;p.0\W!b2'.9;W!b2'.9JW+d 2D+svF\D T,[::n[ $0\>:f-G\+%v:f-GX,T/.CmdV[
4##/X!8Y# 9x )77cK9xDps.;W6U$)$+;tmC4p3M#=6C3lwSwSuMP0
'43hw92zD+$SJ92zD+$W<]mGH#9W6f8*s!;W6r.*P792aY2UD_3x)IX'6,H(3*\E$%**F) (=E#2;) (=E#2T) (=E8
o![/T$/9s9=K2d+/)+90i>6C 69->h_;XM9-LW_jw6X;3t9h(3ej+$%*=A) (=e#22FI*70.,:X6*70.,:X_*70.,Y
38H)$#)+_x(87zTUc8Z<79*!)U-S79=0)12<%h59B;*7!54:X$Ld_3)*(x'6/%(3*\e$%'(3*\e$%:(3*\el
)CP>sxPS.;sr\ID.N#yM]Ug\+%V:B$o.4\y:\;7YJ+3:\IDYX#y F6(//QPh2v2j.%*-[25;7STARAHt3]w yAHt3]w JAHt3]q
7W S;7\) Su2D+/!6r.2/.kS!=-2</c(mEu2<,T((9-'D8<Ka) -9<#22r;*70.,:x$>3_3)*(X':_3)*(X' _3)*(Z
Fh=r,:F-g\+%VQ_x><6$yfmxu6\/#+\xPd4Q3huxP3mQ+:\7>:0z*-[by07STfFAHt3]w ];LY=<6#973Y=<6#97\Y=<6#6
e77<JW+*7:($# 9x1h0h#K2OD78+#YaWa)Zj#YFMa:$+s*;*0>y=+hP97I3/qp9!F2J.H=-[25;7s5-[25;7s[-[25;[
4#3IH280s+3$1280s+w[XzT%Jpw'X7:09I(O=2/.kS%MmI.0\W %ajT3]W xahT3]W0j_UT%3((9.\ 9<2c)12D2Z((6
e77<# i[XzT%Jh(9[(Jx5h:=2'P$-W<]mG[Mktq*[2JYqU9!F2J%qp9!F2wd:K9x *P7T[Tb2'5_JWa<0*P[
4#3$XzT%Jhc9[(Jx5h:=2'P=RI:b$O.\$= 9,*7[
4#3UJ280s+3S 2D+svF\D T,[::\uIs6$YFMX(8n#K2ODzw8;W6f8*s!;W6r.*P792aY2UD_3x)IX'6,H(3*\E$%**F) (=E#2;) (=E#2T) (=E8
o![*H$#<2([h)$/9sr\ID$/9s9=x(8/9!Q_xu6\/$+%U2</C(MeU2<,t((9-'d8<kA) -9<#22R;*7X<6#97id,QP(*\e$%'(3*\e$%:(3*\el
)CP3/xZt%5+:F-g\+%VQ_x><6< j92Zd+$w<]MgG#d3:\;7YJ+3:\IDYX#y F6(//QPh2v2j.%*-[1(=e#22FI*7X<6#973Y=<6#97\Y=<6#6
e77IVW+*7:7$5W6U$).r9=092z$0\*60Dx$9*9q5[ s79*!)u-s79=0)12<%H59b;*7!54:x$lD_3+9!F2J.H=-[1(=E#2;) (=E#2T) (=E8
o![je$#<2([*y$+;TMc4P3m/>:*[2/.Ks'=pJ$+h#-ub)$+%V-/xPj/')<FAHz$rw ]I>Y=j)*(x'6/%(3/25;7S5-[25;7S[-[25;[
4#3$u2<j*3qb7;JrZW+*7:7$yW+*7:7I5W<]mGg#DU:\;7yj+3:\idyx#Y f6(//qpH2V2J.%*-[1(=E#22fi*7x<6#973y=<6#97\y=<6#6
e77<;W+*7:7huW9=Xps.;SR\id$9*9q5[ 579*!)u-s79=0)12<%H59b;*7!54:x$lD_3+9!F2J.H=-[1(=E#2;) (=E#2T) (=E8
o![*:$#<2([*)$/9s9=K2t#hyrcK2/.Ks'=pJ$+h#-ub)$+%V-/xPj/')<FAHz$rw ]I>Y=j)*(x'6/%(3/25;7S5-[25;7S[-[25;[
4#3$F280s+c:u280s+3S1280s+3S 2/.kS'=Pj$+H#-UB)$+%v-/XpJ/')<fahZ$RW ]i>y=J)*(X'6/%(3/25;7s5-[25;7s[-[25;[
4#3$%280s+32H280s+3Su280sh(9[(Jx3jm90I>6T5m9->H_;xm9-lw_JW6x;3T9H(3EJ+$%*=a) (=E#22fi*70.,:x6*70.,:x_*70.,y
38Hp$# 9Xfs$/920R-gv0%$89-)6J/!6R.2t#bw<]MgW8;w6F8*S!;w6R.*p792Ay2ud_3X)ix'6,h(3*\e$%**f) (=e#2;) (=e#2t) (=e8
o![/)$#<2#sx><%t=6cp(31pw6u$).R9=092Z+7zTUc.3S79*!)U-S79=0)12<%h59B;*7!54:X$Ld_3)*(x'6/%(3*\e$%'(3*\e$%:(3*\el
)CPp'xZt%jP):xZt%jP>$xZt%jJM90i>6t5C9->h_;XM9-LW_jw6X;3t9h(3ej+$%*=A) (=e#22FI*70.,:X6*70.,:X_*70.,Y
38H9H# 9X1H;X#29o$g[,tk9cIP$+;TMc0'G%$k:B$o.m'u:\;7YJ+3:\IDYX#y F6(//QPh2v2j.%*-[25;7STARAHt3]w yAHt3]w JAHt3]q
7W t97\) /%:)7\) /%:57\) / Y97ZtuC.3579*!)u-s79=0)12<%H59b;*7!54:x$lD_3)*(X'6/%(3*\E$%'(3*\E$%:(3*\EL
+-w+*7:7ijw(9paYHj)*uz
Pp7\) / T57jwOkA)zJ8
yAc4P3m# 9X1yp72 O9paYB3q
6:XzT%Jh)9gzV7D/-UB)L
8;J:=2'0J#D+%xHpX8
5>9GZv7\) / +973+Y
y 280S+3uf2A#dw3/10
'43hc9[(JEyW+*7:5bJW+*7+s7ZtuC04H%g*:\7>yjJ+9!u2:M\(3'V(=j#50j_*705W %2lg2qp9!F2J8cK9)J(=j#2T5ily$<6m98zH%9$F)10
'4-4:=2'7x;W+*7:5bJW+d 2/.kS<d8'[/#Y fa)Px<6m96d8_-+(*\)$8T[T) (97s;9r=#y=<6#973H9<()*\)$%:$FraYT3;W!=8'<1%((6
e77$3W+*7:5h;W6M4'$#<2('%:$9*9qbc7JSHW6x;*sxJ)*UX3w#q4(*\)$8T[T) (97s;9r=#y=<6#973H9<()*\)$%:$FraYT3;W!=8'<1%((6
e77<RW+*7:7EJW+*7:5bJW+*7:9E#K2ODU,4s/a9-'D_;+(*\)$8T -$V(=j#50j_*705W %2lg2qp9!F2J8cK9)J(=j#2T5ily$<6m98zH%9$F)10
'43I>9[(Jxuh:n[ $O\;:b$O.9X# K;2<%H(m/1(=j#50=ahT3;W;M_\y=<h:xP(31P(3*\E$%'#<*aYT3;W j=l3_5)*UX784sY'ra:L
)CPCuxZt%ju(:xPS.;VrXxPS.;w<]Mg/uC2%FxPj/Q3(/25S7'V+)v:p0.3:y.\ _3))97 t,[:-[25;7S5!B2*70.,:X_;3,QP9!f2h#C265I*p[
4#3Uu280s+3I/2a#DW+*7:7<5W<]mG/Uc2%fXpJ/q3(/25s7'v+) j00.3:Y.\ _3))97 T,[:-[25;7s5!b2*90.3:x_;3,qh9!u2H#c265i*P[
4#3I*280s,>9[(Jx33#9[(Jx33#90I>6ZM!x>>$+s*-U1:T3;W;M[*7bR)*UX3wd:(3*J2JY<='<ahT3]W Y8UT_5)*UX' 1%=-225s7c !x-;3_JQ
H*[ /7sv2C3;\0'Q
5AX(8Y#vT90MXSc5%08'$Y<[!=8'HM\xy
e4Z68t2Y
.UNPROT


xi6 en out gnd net037 hv_en v3p3 vhv faultz v3p3out s0 net026 net025 enhvu TOP_BAUER
v14 nc2 0 DC=3.3 PWL 0 0 30e-3 0 30.00001e-3 3.3 100e-3 3.3 100.00001e-3 0 TD=12e-3
v3 nc4 0 DC=3.3 PWL 0 3.3 50e-3 3.3 50.00001e-3 3.3 100e-3 3.3 100.00001e-3 3.3 TD=0
v15 nc1 0 DC=3.3 PWL 0 3.3 50e-3 3.3 50.00001e-3 0 150e-3 0 150.00001e-3 3.3 210e-3 3.3 TD=0
v6 nc3 0 DC=3.3 PWL 0 3.3 80e-3 3.3 80.00001e-3 1.5 125e-3 1.5 125.00001e-3 3.3 TD=0
v8 nc5 0 DC=0 PWL 0 18 50e-3 18 50.00001e-3 27 100e-3 27 100.00001e-3 '15V' TD=0
v29 vhv 0 DC=0 PWL 0 18 50e-3 18 50.00001e-3 2 100e-3 2 100.00001e-3 15 TD=0
cr5 out gnd 1e-12
r7 0 nc4 400e3
r6 v3p3 faultz 400e3
r9 net053 nc5 400e3
r12 0 nc2 400e3
r4 out gnd rl
r2 net037 gnd 400e3
r8 0 nc3 400e3
r3 net025 gnd 400e3
r10 net026 gnd 400e3
r11 0 nc1 400e3
v25 v3p3 0 DC=3.7
v13 en 0 DC=3.3
v27 hv_en 0 DC=3.3
v0 s0 0 DC=0
v30 enhvu 0 DC=0
v11 gnd 0 DC=0

.MODEL Diod D  RS=1 IS=1P VJ=0.2
.MODEL NMOSY NMOS KP=15E-4 
.END
